View Issue Details

IDProjectCategoryView StatusLast Update
0003900SOGoWeb Mailpublic2018-06-20 14:52
Reporteradmf Assigned Tofrancis  
PrioritynormalSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
PlatformlinuxOSUbuntuOS Version16.04
Product Version3.2.1 
Target VersionFixed in Version3.2.4 
Summary0003900: freeze after click send msg
Descriptionafter clicking to send the message, the green screen fill the new mail window, freeze and save the message in drafts; sometimes it closes the tab of browser
Steps To Reproducenew messsage > fill the fields > click send
Additional Informationalso some buttons to delete message are not working

client: FF and Chrome OS: Windows/Ubuntu/MacOS
server: ubuntu 16.04, java8 /111, nginx, dovecot, postfix

activesync = ok
other webmails = ok
TagsNo tags attached.

Activities

admf

admf

2016-11-15 01:24

reporter  

admf

admf

2016-11-15 09:45

reporter   ~0010859

it was on release 3.2.1.20161114-1

on 3.2.1.20161115-1 is random
cedric.archambeau

cedric.archambeau

2016-11-15 10:59

reporter   ~0010860

Had a similar issue when opening in new tab/window on firefox.

If you open it from link in the same tab (or typing directly in address bar), no problem.

Is it this problem?
francis

francis

2016-11-15 11:00

administrator   ~0010861

Any error in your JavaScript console?
admf

admf

2016-11-15 12:04

reporter  

error1.txt (5,155 bytes)
Exception { message: "", result: 2153644038, name: "", filename: "https://mysub.domain.tld/SOGo.woa/…", lineNumber: 103, columnNumber: 0, data: null, stack: "gg/<@https://mysub.domain.tld/SOGo…" }angular.min.js:118:8

Error: c.config is undefined
c/<.responseError@https://mysub.domain.tld/SOGo.woa/WebServerResources/js/Common.js?lm=1479222754:1:2522
e/<@https://mysub.domain.tld/SOGo.woa/WebServerResources/js/vendor/angular.min.js:131:20
vf/this.$get</m.prototype.$eval@https://mysub.domain.tld/SOGo.woa/WebServerResources/js/vendor/angular.min.js:145:343
vf/this.$get</m.prototype.$digest@https://mysub.domain.tld/SOGo.woa/WebServerResources/js/vendor/angular.min.js:142:412
vf/this.$get</m.prototype.$apply@https://mysub.domain.tld/SOGo.woa/WebServerResources/js/vendor/angular.min.js:146:111
f/q<@https://mysub.domain.tld/SOGo.woa/WebServerResources/js/vendor/angular.min.js:159:66
e@https://mysub.domain.tld/SOGo.woa/WebServerResources/js/vendor/angular.min.js:45:442
$f/k.defer/c<@https://mysub.domain.tld/SOGo.woa/WebServerResources/js/vendor/angular.min.js:48:300
angular.min.js:118:8

Error: Permission denied to access property "$mailboxController"
w@https://mysub.domain.tld/SOGo.woa/WebServerResources/js/Mailer.services.js?lm=1479222754:2:10215
a/<@https://mysub.domain.tld/SOGo.woa/WebServerResources/js/Mailer.services.js?lm=1479222754:2:14127
vf/this.$get</m.prototype.$watchCollection/<@https://mysub.domain.tld/SOGo.woa/WebServerResources/js/vendor/angular.min.js:142:67
vf/this.$get</m.prototype.$digest@https://mysub.domain.tld/SOGo.woa/WebServerResources/js/vendor/angular.min.js:143:181
vf/this.$get</m.prototype.$apply@https://mysub.domain.tld/SOGo.woa/WebServerResources/js/vendor/angular.min.js:146:111
f/q<@https://mysub.domain.tld/SOGo.woa/WebServerResources/js/vendor/angular.min.js:159:66
e@https://mysub.domain.tld/SOGo.woa/WebServerResources/js/vendor/angular.min.js:45:442
$f/k.defer/c<@https://mysub.domain.tld/SOGo.woa/WebServerResources/js/vendor/angular.min.js:48:300
angular.min.js:118:8

Error: Permission denied to access property "$mailboxController"
w@https://mysub.domain.tld/SOGo.woa/WebServerResources/js/Mailer.services.js?lm=1479222754:2:10215
a/<@https://mysub.domain.tld/SOGo.woa/WebServerResources/js/Mailer.services.js?lm=1479222754:2:14318
vf/this.$get</m.prototype.$digest@https://mysub.domain.tld/SOGo.woa/WebServerResources/js/vendor/angular.min.js:143:181
vf/this.$get</m.prototype.$apply@https://mysub.domain.tld/SOGo.woa/WebServerResources/js/vendor/angular.min.js:146:111
f/q<@https://mysub.domain.tld/SOGo.woa/WebServerResources/js/vendor/angular.min.js:159:66
e@https://mysub.domain.tld/SOGo.woa/WebServerResources/js/vendor/angular.min.js:45:442
$f/k.defer/c<@https://mysub.domain.tld/SOGo.woa/WebServerResources/js/vendor/angular.min.js:48:300
angular.min.js:118:8

Exception { message: "", result: 2153644038, name: "", filename: "https://mysub.domain.tld/SOGo.woa/…", lineNumber: 103, columnNumber: 0, data: null, stack: "gg/<@https://mysub.domain.tld/SOGo…" }angular.min.js:118:8

Error: c.config is undefined
c/<.responseError@https://mysub.domain.tld/SOGo.woa/WebServerResources/js/Common.js?lm=1479222754:1:2522
e/<@https://mysub.domain.tld/SOGo.woa/WebServerResources/js/vendor/angular.min.js:131:20
vf/this.$get</m.prototype.$eval@https://mysub.domain.tld/SOGo.woa/WebServerResources/js/vendor/angular.min.js:145:343
vf/this.$get</m.prototype.$digest@https://mysub.domain.tld/SOGo.woa/WebServerResources/js/vendor/angular.min.js:142:412
vf/this.$get</m.prototype.$apply@https://mysub.domain.tld/SOGo.woa/WebServerResources/js/vendor/angular.min.js:146:111
l@https://mysub.domain.tld/SOGo.woa/WebServerResources/js/vendor/angular.min.js:97:320
J@https://mysub.domain.tld/SOGo.woa/WebServerResources/js/vendor/angular.min.js:102:34
gg/</t.onload@https://mysub.domain.tld/SOGo.woa/WebServerResources/js/vendor/angular.min.js:103:4
angular.min.js:118:8

Empty string passed to getElementById().view
Detecting changes using MutationObserversckeditor.js:836:136
Error: Permission denied to access property "$mailboxController"
q@https://mysub.domain.tld/SOGo.woa/WebServerResources/js/Mailer.services.js?lm=1479222754:2:15312
v@https://mysub.domain.tld/SOGo.woa/WebServerResources/js/Mailer.services.js?lm=1479222754:2:16660
anonymous/fn@https://mysub.domain.tld/SOGo.woa/WebServerResources/js/vendor/angular.min.js line 233 > Function:2:263
b@https://mysub.domain.tld/SOGo.woa/WebServerResources/js/vendor/angular.min.js:126:128
Lc[b]</<.compile/</</e@https://mysub.domain.tld/SOGo.woa/WebServerResources/js/vendor/angular.min.js:276:195
vf/this.$get</m.prototype.$eval@https://mysub.domain.tld/SOGo.woa/WebServerResources/js/vendor/angular.min.js:145:343
vf/this.$get</m.prototype.$apply@https://mysub.domain.tld/SOGo.woa/WebServerResources/js/vendor/angular.min.js:146:47
Lc[b]</<.compile/</<@https://mysub.domain.tld/SOGo.woa/WebServerResources/js/vendor/angular.min.js:276:245
Sf@https://mysub.domain.tld/SOGo.woa/WebServerResources/js/vendor/angular.min.js:37:125
Rf/d@https://mysub.domain.tld/SOGo.woa/WebServerResources/js/vendor/angular.min.js:37:74
angular.min.js:118:8

error1.txt (5,155 bytes)
admf

admf

2016-11-15 12:05

reporter   ~0010863

uploaded error1.txt

https://sogo.nu/bugs/file_download.php?file_id=1659&type=bug

tks
francis

francis

2016-11-22 10:29

administrator   ~0010901

If you still have this issue, would it be possible to create a test account so I login to your system? Send me the credentials by email. Thanks!
francis

francis

2016-11-24 09:28

administrator   ~0010909

Please try release 3.2.2.
admf

admf

2016-11-24 18:03

reporter   ~0010917

Hello Francis,

I formated the server and made a new fresh install

I repeated the same procedure and it seems ok now

If it repeats, I'll come back to report

Thanks

Related Changesets

sogo: master e059a604

2016-11-28 15:33:02

francis

Details Diff
(js) Fix possible cross-origin exception

When SOGo is launched from an external link, either using a different
"target" or using window.open(), the Mail composer could throw a
JavaScript exception when trying to save or send a message that would
completely stop the operation.

Fixes 0003900
Affected Issues
0003900
mod - NEWS Diff File
mod - UI/WebServerResources/js/Mailer/MessageEditorController.js Diff File

sogo: master 95376ca7

2018-06-20 14:51:03

francis

Details Diff
(js) Fix possible cross-origin exception

When SOGo is launched from an external link, either using a different
"target" or using window.open(), the Mail composer could throw a
JavaScript exception when trying to save or send a message that would
completely stop the operation.

Fixes 0003900
Affected Issues
0003900
mod - UI/WebServerResources/js/Mailer/MessageController.js Diff File

Issue History

Date Modified Username Field Change
2016-11-15 01:24 admf New Issue
2016-11-15 01:24 admf File Added: Screenshot at 2016-11-15 04-22-41.png
2016-11-15 09:45 admf Note Added: 0010859
2016-11-15 10:59 cedric.archambeau Note Added: 0010860
2016-11-15 11:00 francis Note Added: 0010861
2016-11-15 12:04 admf File Added: error1.txt
2016-11-15 12:05 admf Note Added: 0010863
2016-11-22 10:29 francis Note Added: 0010901
2016-11-24 09:28 francis Note Added: 0010909
2016-11-24 18:03 admf Note Added: 0010917
2016-11-28 15:36 francis Changeset attached => sogo master e059a604
2016-11-28 15:36 francis Assigned To => francis
2016-11-28 15:36 francis Resolution open => fixed
2016-11-28 15:39 francis Status new => resolved
2016-11-28 15:39 francis Fixed in Version => 3.2.4
2018-06-20 14:52 francis Changeset attached => sogo master 95376ca7